// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
//
//	Numerical routines needed by bscalgen tasks family
//
#ifndef NUMERIC
#define NUMEIRC

namespace Numeric {
	void simplex(double **p, double y[], int ndim, double ftol,
				 double (*funk)(double *), int *nfunk);

	void numError(char errorText[]);
	double *numVector(int nl, int nh);
	void freeNumVector(double *v, int nl, int nh);
	double **numMatrix(int nrl, int nrh, int ncl, int nch);
	void freeNumMatrix(double **m, int nrl, int nrh, int ncl, int nch);
}

#endif
